<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    package="@{package}"
    android:versionCode="@{versionCode}"
    android:versionName="@{versionName}" >
   
    <uses-sdk
        android:minSdkVersion="10"
        android:targetSdkVersion="17" />
    
    <uses-permission android:name="android.permission.CAMERA" />
    <uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE" />
    <uses-permission android:name="android.permission.MOUNT_UNMOUNT_FILESYSTEMS" />
    <uses-permission android:name="android.permission.CALL_PHONE" />
    <uses-permission android:name="android.permission.ACCESS_NETWORK_STATE" />
    <uses-permission android:name="android.permission.ACCESS_WIFI_STATE" />
    <uses-permission android:name="android.permission.CHANGE_WIFI_STATE" />
    <uses-permission android:name="android.permission.READ_PHONE_STATE" />
    <uses-permission android:name="android.permission.VIBRATE" />
    <uses-permission android:name="android.permission.GET_TASKS" />
    <uses-permission android:name="android.permission.RESTART_PACKAGES" />
    <uses-permission android:name="android.permission.SYSTEM_ALERT_WINDOW" />
    <uses-permission android:name="android.permission.WAKE_LOCK" />
    <uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE" />
    <uses-permission android:name="com.google.android.providers.gsf.permission.READ_GSERVICES" />
    <uses-permission android:name="android.permission.ACCESS_COARSE_LOCATION" />
    <uses-permission android:name="android.permission.ACCESS_FINE_LOCATION" />
    <uses-permission android:name="android.permission.WRITE_SETTINGS"/>
    <uses-permission android:name="android.permission.RECORD_AUDIO" />
    @{permission}
    
<!--
    <supports-screens
        android:anyDensity="false"
        android:xlargeScreens="true"
        android:largeScreens="true"
        android:normalScreens="true"
        android:resizeable="true"
        android:smallScreens="true" />-->

    <application
    	android:name="com.yonyou.uap.um.core.UAPMobileApplication"
        android:allowBackup="true"
        android:icon="@drawable/@{icon}"
        android:label="@string/@{appname}"
        android:theme="@style/AppTheme" >
        <activity
            android:name="com.yonyou.uap.um.activity.WelcomeActivity"
            android:screenOrientation="portrait"
            android:theme="@style/StartAppTheme" >
            @{launcher}
            <intent-filter>
                <action android:name="com.yonyou.uap.um.activity.WelcomeActivity" />

                <category android:name="android.intent.category.DEFAULT" />
            </intent-filter>
        </activity>
		@{activity}
		
		<activity
            android:name="com.yonyou.uap.um.control.UMTwoDCodeActivity" >
            <intent-filter>
                <action android:name="com.yonyou.uap.um.control.UMTwoDCode" />
                <category android:name="android.intent.category.DEFAULT" />
            </intent-filter>
        </activity>
        <activity
            android:name="com.yonyou.uap.um.control.UMCameraActivity" >
            <intent-filter>
                <action android:name="com.yonyou.uap.um.control.UMCamera" />
                <category android:name="android.intent.category.DEFAULT" />
            </intent-filter>
        </activity>
        <activity
            android:name="com.yonyou.uap.um.control.UMMapActivity" >
            <intent-filter>
                <action android:name="com.yonyou.uap.um.control.UMMap" />
                <category android:name="android.intent.category.DEFAULT" />
            </intent-filter>
        </activity>
        <activity
            android:name="com.yonyou.uap.um.runtime.ExtraMapActivity" >
        </activity>
        @{push_begin}
		<receiver android:name="com.yonyou.uap.um.push.BootBroadcastReceiver" >
            <intent-filter>
                <action android:name="android.intent.action.BOOT_COMPLETED" />
                <category android:name="android.intent.category.HOME" />
            </intent-filter>
        </receiver>
        <service
            android:name="com.yonyou.uap.um.push.SpiritNotificationService"
            android:enabled="true"
            android:label="push" >
            <intent-filter>
                <action android:name="com.yonyou.uap.um.push.SpiritNotificationService" />
            </intent-filter>
        </service>
 		@{push_end}
 		<meta-data
            android:name="uaplauncher"
            android:value="@{startviewid}" />
        <meta-data
            android:name="useuapwelcome"
            android:value="@{useuw}" />
        <meta-data
            android:name="autocheckupdate"
            android:value="@{autocheckupdate}" /> 
            
        @{metadata}          
    </application>

</manifest>