cordova.define("summer-plugin-service.XService", function(require, exports, module) {

        var exec = require('cordova/exec');

        var service = {};

        service.call = function(srvName, params, successCallback, errorCallback) {
			//srvName is like "UMDevice.openCamera" etc.
            exec(successCallback, errorCallback, "XService", "call", [srvName, params]);
        };
        service.getPermission = function(params, successCallback, errorCallback) {
            exec(successCallback, errorCallback, "XService", "getPermission", [params]);
        };
		
		service.callSync = function(params, successCallback, errorCallback) {
            exec(successCallback, errorCallback, "XService", "callSync", [params]);
        };
		
        module.exports = service;

    }
);
