#import "@{nameOfClass}.h"
@interface @{nameOfClass}_tableViewCell ()
{
	
}
@end
@implementation @{nameOfClass}_tableViewCell
- (id)initWithStyle:(UITableViewCellStyle)style reuseIdentifier:(NSString *)reuseIdentifier withCtx:(UMEntityContext *)_ctx withContainer:(UMView *)container
{
    self = [super initWithStyle:style reuseIdentifier:reuseIdentifier];
    if (self) {
       NSArray *reuseIdentifierArr = [reuseIdentifier componentsSeparatedByString:@"_"];
       NSInteger index = [reuseIdentifierArr[reuseIdentifierArr.count-1] integerValue];
        switch (index) {
          @{initChilds}
          default:
             break;
        }
  
    }
    return self;
}
-(void)bindAll:(UMEntityContext *)_ctx{

	@{dataBinds}
    [self bindAll];
    
}    
-(void)setWgtFrame:(UMLayoutView *)layout{

    self.layoutView = layout;
	if(layout.isWidthFill)
	{
		CGRect rect = layout.frame;
    	rect.size.width = CGRectGetWidth(self.umtableView.frame);
//    rect.size.width = self.frame.size.width;
    	layout.frame = rect;
    
    	layout.isWidthFill = NO;
    }
}
-(void)configCell:(NSInteger)index andCtx:(UMEntityContext *)_ctx
{
     switch (index) {
     @{cellBindFields}
     
	default:
                break;
        }
        
    [self setNeedsDisplay];
    return;
}


@end


@interface @{nameOfClass}_group ()
{
	
}
@end
@implementation @{nameOfClass}_group

-(id)initWithSectionPath:(NSString *)sectionPath withCtx:(UMEntityContext *)_ctx
{
    self = [super init];
    if(self)
    {
    if(
    @{initListGroups}
    self.ctx=_ctx;
    @{dataBinds}
    }
    
    [self bindAll];
    return self;
}

@end

@interface @{nameOfClass}_cellHeight ()
{
	
}
@end
@implementation @{nameOfClass}_cellHeight

@synthesize container = container;

-(void)getCellHeightByIndex:(NSString *)index
{
    switch ([index integerValue]) {
    @{cellHeight}
    default:
                break;
    }
}
-(void)getSectionHeightByIndex
{
	@{initListGroups}

}

-(void)addSubview:(UIView *)view
{
    
}
-(void)addSubUMXView:(UMView *)view
{
    
}
-(UMEntityContext *)getContext
{
    
    return self.ctx;
}

-(NSMutableDictionary *) getBindGroup
{
    return self.dataBindGroup;
}
@end