//
//  viewController.m
//
//
//  Created by zhangyuv.
//  Copyright (c) 2013年 yonyou. All rights reserved.
//

#import "@{nameOfClass}.h"
@{importChildHs}

@interface @{nameOfClass} ()
{

}
@end

@implementation @{nameOfClass}
@synthesize navBarHidden = _navBarHidden;
@synthesize viewObject = _viewObject;
@synthesize @{id} = _@{id};
@synthesize parentController = _parentController;
@synthesize currentContainer=_currentContainer;
@synthesize contextDictionary = _contextDictionary;
@synthesize context=_context;
@synthesize ctx = _ctx;
@{umcontextSynthesize}
@{addChildSynthesizes}
@{controllerC}
@{namespaceC}
@{context}

- (id)initWithParentCtl:(UIViewController*)parentCtl
{
    self = [super initWithNibName:nil bundle:nil];
    if (self) {
        if(parentCtl){
            self.parentController = parentCtl;
        }else{
            self.parentController = self;
        }
        _navBarHidden = YES;
        self.navigationItem.hidesBackButton = YES;
        _viewObject = [[UMLayoutView alloc] init];
        _@{id} = _viewObject;
        @{selfView}
        
//        if ([[[UIDevice currentDevice] systemVersion] floatValue] >= 7) {
//        _viewObject.frame = CGRectMake(0, 0, [[UIScreen mainScreen] bounds].size.width, [[UIScreen mainScreen] bounds].size.height-20);
//    }
//    else{
//        _viewObject.frame = CGRectMake(0, 0, [[UIScreen mainScreen] bounds].size.width, [[UIScreen mainScreen] bounds].size.height);
//    }
    
        _context = [[UMEntityContext alloc]init];
        _ctx = _context;
  		self.xnamespace = namespaceC;
        self.controllerid = controllerC;
    }
	return self;
}
//- (void)loadView
//{
//	self.view = _viewObject.view;
//}
- (void)initChilds
{
@{initChilds}
    [_viewObject adjustSize];
}
- (void)viewDidLoad
{
	[super viewDidLoad];
    [SysContext getInstance].CurrentViewController = self;
	[self.view addSubview:_viewObject.view];
	
    [self initChilds];
    //[self dataBind:nil];
    
    if ([[[UIDevice currentDevice] systemVersion] floatValue] >= 7) {
        self.view.bounds = CGRectMake(0, -20, self.view.frame.size.width, self.view.frame.size.height );
    }
    
    @{setTabbarItemIndex}
    //加载JS
   [self performSelectorInBackground:@selector(umOnload) withObject:nil];
}
-(void)umOnload{

    @autoreleasepool {
    
        AppDelegate* appDelegate = (AppDelegate*)[[UIApplication sharedApplication] delegate];
        _currentContainer = [appDelegate currentContainer];
        
        _currentContainer.controllerName = [[namespaceC stringByAppendingString:@"."]stringByAppendingString:controllerC];
        [_currentContainer initCurrentViewController:_currentContainer.controllerName];
        
        [_currentContainer initCurrentViewContext:[[namespaceC stringByAppendingString:@"."]stringByAppendingString:ModelName]];
        
        //JS同步加载完成 回到主线程 刷新UI
        [self performSelectorOnMainThread:@selector(umload) withObject:nil waitUntilDone:YES];
        
  
    }
}
-(void)umload{

     @{onload}
}
- (void)viewWillAppear:(BOOL)animated
{
    [self resignFirstResponder];
    [super viewWillAppear:animated];
    [SysContext getInstance].CurrentViewController = self;
//    self.navigationController.navigationBarHidden = _navBarHidden;
//    if (!_navBarHidden) {
//        for (UIView *subview in [self.navigationController.navigationBar subviews]) {
//            if (![NSStringFromClass(subview.class) isEqualToString:@"_UINavigationBarBackground"] && ![NSStringFromClass(subview.class) isEqualToString:@"_UINavigationBarBackIndicatorView"]) {
//                [subview removeFromSuperview];
//            }
            
//        }
//    }
    @{onstart}
    
    [_viewObject umviewAppear];
}
- (void)viewDidAppear:(BOOL)animated
{
	[super viewDidAppear:animated];
    [self becomeFirstResponder];
}
-(void)viewWillDisappear:(BOOL)animated
{
    [super viewWillDisappear:animated];
    
    [_viewObject vmviewDisappear];
}
- (void)viewDidUnload
{
	[super viewDidUnload];
}
-(void)onInit{
    [_currentContainer onInit:controllerC];
}
-(void)onLoad{
    [_currentContainer onLoad:controllerC];
}
-(void)onDataBinding{
    //here do databinding
    NSString *context = [_currentContainer getModel:ModelName];
    _contextDictionary = [context objectFromJSONString];
    if(_contextDictionary != nil)
    	[self dataBind:[_contextDictionary JSONString]];
}
-(void)onComplete{
    [_currentContainer onComplete:controllerC];
}
-(id)valueByBindfield:(NSString*)bindingfield
{
    return [_contextDictionary objectForKey:bindingfield];
}
- (void)dataBind:(NSString*)data{
	if(data !=nil){
		@{umcontextCreate}
	}
	
	@{dataBinds}
	[self bindAll];
   [_viewObject clearFinishedAdjustSize];
   [_viewObject adjustSize];
}
@{actions}

- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)toInterfaceOrientation
{
    return YES;
}
- (BOOL)shouldAutorotate
{
    return YES;
}
- (NSUInteger)supportedInterfaceOrientations
{
    return UIInterfaceOrientationMaskPortrait;
}
- (CGRect)frameForOrientation:(UIInterfaceOrientation)orientation
{
    CGRect frame;
    if (orientation == UIInterfaceOrientationLandscapeLeft || orientation == UIInterfaceOrientationLandscapeRight) {
        CGRect bounds = [UIScreen mainScreen].applicationFrame;
        CGRect bounds2 = [UIScreen mainScreen].bounds;
        frame = CGRectMake(bounds.origin.x, bounds.origin.y, bounds2.size.height, bounds.size.width-(bounds2.size.height - bounds.size.height));
    }else if (orientation == UIInterfaceOrientationPortrait ||orientation == UIInterfaceOrientationPortraitUpsideDown )
    {
        CGRect bounds = [UIScreen mainScreen].applicationFrame;
        CGRect bounds2 = [UIScreen mainScreen].bounds;
        frame = CGRectMake(bounds.origin.x, bounds.origin.y, bounds2.size.width, bounds.size.height-(bounds2.size.width - bounds.size.width));
    }
    return frame;
}

-(void)willRotateToInterfaceOrientation:(UIInterfaceOrientation)toInterfaceOrientation duration:(NSTimeInterval)duration
{
    CGRect frame;
    frame = [self frameForOrientation:toInterfaceOrientation];
    _viewObject.frame = CGRectMake(0, 0, frame.size.width, frame.size.height);
    [self.viewObject clearFinishedAdjustSize];
    [self.viewObject adjustSize];
}

-(BOOL)canBecomeFirstResponder
{
    return YES;
}
- (void) motionBegan:(UIEventSubtype)motion withEvent:(UIEvent *)event
{
    
    if (motion == UIEventSubtypeMotionShake) {
        //NSLog(@"摇一摇");
        
        @{onSensor}
    }
}
@end